Get all card accounts
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"data": [
{
"id": "<string>",
"customer_id": "<string>",
"balances": {
"available": {
"amount": "<string>",
"currency": "usdc"
},
"hold": {
"amount": "<string>",
"currency": "usdc"
}
},
"freezes": [
{
"card_account_id": "<string>",
"created_at": "<string>",
"reason_detail": "<string>",
"starting_at": "<string>",
"ending_at": "<string>"
}
],
"client_reference_id": "<string>",
"cardholder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
},
"card_image_url": "<string>",
"status_reason": "<string>",
"card_details": {
"last_4": "1264",
"expiry": "10/24",
"bin": "44325280"
},
"stripe_card_id": "<string>",
"crypto_account": {
"address": "<string>"
},
"funding_instructions": {
"currency": "usdc",
"address": "<string>",
"memo": "<string>"
},
"additional_funding_instructions": [
{
"currency": "usdc",
"address": "<string>",
"memo": "<string>"
}
]
}
]
}Cards
Get all card accounts
Retrieve all card accounts for a customer. Currently, only one account is supported. An empty array will be returned if no card has been provisioned
GET
/
customers
/
{customerID}
/
card_accounts
Get all card accounts
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Was this page helpful?
⌘I
